---
api: 'Business API'
---

# Retrieve a payout link

Get the information about a specific link by its ID.

:::note
This feature is available in the UK, the EEA, AU, and SG.
:::

For more information, see the guides: [Send money via payout link](/docs/guides/manage-accounts/transfers/payout-links).

## Endpoint

GET `/payout-links/{payout_link_id}`

## Parameters

### path parameters

- `payout_link_id` (string, required)
  The ID of the link to retrieve.

## Returns

### 200

The information about a specific link

#### Response attributes

- `id` (string)
    The ID of the payout link.
- `state` (enum)
    The state that the payout link is in. Possible states are:
    - `created`: The payout link has been created, but the amount has not yet been [blocked](/docs/guides/manage-accounts/transfers/payout-links#sender-link-generation).
    - `failed`: The payout link couldn't be generated due to a failure during transaction booking.
    - `awaiting`: The payout link is awaiting approval.
    - `active`: The payout link can be redeemed.
    - `expired`: The payout link cannot be redeemed because it wasn't claimed before its expiry date.
    - `cancelled`: The payout link cannot be redeemed because it was cancelled.
    - `processing`: The payout link has been redeemed and is being processed.
    - `processed`: The payout link has been redeemed and the money has been transferred to the recipient.
    Possible enum values:

    - `created`
    - `failed`
    - `awaiting`
    - `active`
    - `expired`
    - `cancelled`
    - `processing`
    - `processed`
- `created_at` (string)
    The date and time the payout link was created in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601).
- `updated_at` (string)
    The date and time the payout link was last updated in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601).
- `counterparty_name` (string)
    The name of the counterparty provided by the sender.
- `save_counterparty` (boolean)
    Indicates whether you chose to save the recipient as your counterparty upon link claim. 
    If `false` then the counterparty will not show up on your counterparties list, for example, when you [retrieve your counterparties](/docs/api/business#get-counterparties). 
    However, you can still [retrieve this counterparty by its ID](/docs/api/business#get-counterparty).
    
    If you didn't choose to save the counterparty on link creation, you can still do it from your transactions list in the Business app.
- `request_id` (string)
    The ID of the request, provided by the sender.
- `expiry_date` (string, optional)
    The date and time after which the payout link expires in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601).
    If the recipient doesn't claim the money before then, the payout link expires and is no longer available.
    
    The default and maximum value is the date and time of creating the link + 7 days.
- `payout_methods` (array of enum)
    The list of payout methods that the recipient can use to claim the payout, where:
    - `revolut`: Revolut peer-to-peer (P2P) transfer
    - `bank_account`: External bank transfer
    - `card`: Card transfer
      :::note
      - This payout method is available in the UK and the EEA.
      - This payout method is not available in Sandbox.
      :::
- `account_id` (string)
    The ID of the sender's account.
- `amount` (number)
    The amount of money to be transferred.
    
    :::note
    The amount must be between £1 and £2,500, or equivalent in the selected currency.
    :::
- `currency` (string)
    [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
- `url` (string, optional)
    The URL of the payout link. Returned only for active payout links.
- `reference` (string)
    The reference for the payout transaction, provided by the sender.
- `transfer_reason_code` (string, optional)
    The reason code for the transaction. Transactions to certain countries and currencies might require you to provide a transfer reason. 
    You can check available reason codes with the [`GET /transfer-reasons` operation](/docs/api/business#get-transfer-reasons).
    
    If a transfer reason is not required for the given currency and country, this field is ignored.
- `counterparty_id` (string, optional)
    The ID of the counterparty created based on the recipient's details. 
    
    :::note
    By default, the newly created counterparty is hidden from your counterparties list. 
    
    To automatically save it when the link is claimed, pass the `save_counterparty` parameter set to `true`. 
    
    Alternatively, you can add the recipient to your counterparties later from the list of transactions in the Business app.
    :::
- `transaction_id` (string, optional)
    The ID of the created transaction. Returned only if the payout has been claimed.
- `cancellation_reason` (enum, optional)
    The reason for which the payout link was cancelled.
    Possible enum values:

    - `too_many_name_check_attempts`

## Error responses

| HTTP status code | Description |
| --- | --- |
| 403 | Forbidden |
| 404 | Not Found |
